<div class="comp-movie">

  <mat-toolbar color="primary">
    <span>CRUD Reviews</span>
    <span class="example-spacer"></span>
    <button mat-raised-button color="accent" (click)="agregarReview()">Agregar Review</button>
  </mat-toolbar>


  <div class="container">
    <div style="margin-top: 10px">
      <mat-form-field appearance="legacy">
        <mat-label>Filter</mat-label>
        <input matInput (keyup)="applyFilter($event)" placeholder="" #input>
      </mat-form-field>

      <div class="mat-elevation-z8">
        <table mat-table [dataSource]="dataSource" matSort>

          <!-- ID Column -->
          <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> ID</th>
            <td mat-cell *matCellDef="let row"> {{row.id}} </td>
          </ng-container>

          <!-- Progress Column -->
          <ng-container matColumnDef="comment">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Titulo</th>
            <td mat-cell *matCellDef="let row"> {{row.comment}}</td>
          </ng-container>

          <!-- Name Column -->
          <ng-container matColumnDef="commentator">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Descripcion</th>
            <td mat-cell *matCellDef="let row"> {{row.commentator}} </td>
          </ng-container>

          <!-- Fruit Column -->
          <ng-container matColumnDef="createAt">
            <th mat-header-cell *matHeaderCellDef mat-sort-header> Fecha</th>
            <td mat-cell *matCellDef="let row"> {{row.createAt | date}} </td>
          </ng-container>

          <ng-container matColumnDef="movie">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Pelicula</th>
            <td mat-cell *matCellDef="let row"> {{row.movie.name}} </td>
          </ng-container>

          <ng-container matColumnDef="actions">
            <th mat-header-cell *matHeaderCellDef mat-sort-header>Acciones</th>
            <td mat-cell *matCellDef="let row">
              <button mat-icon-button color="primary" (click)="editReview(row)">
                <mat-icon>edit</mat-icon>
              </button>
              <button mat-icon-button color="warn" (click)="deleteReview(row)">
                <mat-icon>delete</mat-icon>
              </button>
            </td>
          </ng-container>

          <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
          <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

          <!-- Row shown when there is no matching data. -->
          <tr class="mat-row" *matNoDataRow>
            <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
          </tr>
        </table>

        <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page of users"></mat-paginator>
      </div>

    </div>
  </div>
</div>


